package com.lz.modules.luck.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.luck.dao.LuckMapper;
import com.lz.modules.luck.entity.Luck;
import com.lz.modules.luck.service.LuckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* <p>
* 活动名称表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-21
*/

@Service
public class LuckServiceImpl extends ServiceImpl<LuckMapper, Luck> implements LuckService {


    @Autowired
	private LuckMapper luckMapper;



	@Override
	public Luck selectLuckById(Long id){
		return luckMapper.selectLuckById(id);
	}



	@Override
	public Long insertLuck(Luck luck){
		return luckMapper.insertLuck(luck);
	}



	@Override
	public int updateLuckById(Luck luck){
		return luckMapper.updateLuckById(luck);
	}



	@Override
	public int updateCoverLuckById(Luck luck){
		return luckMapper.updateCoverLuckById(luck);
	}



	@Override
	public int deleteLuckById(Long id){
		return luckMapper.deleteLuckById(id);
	}

	@Override
	public void setLuckFinishById(Long luckId){
		luckMapper.setLuckFinishById(luckId);
	}



}
